# Get-RASSite.md

## NAME

Get-RASSite

## SYNOPSIS

Retrieves information about one or multiple sites.

## SYNTAX

**Get-RASSite** \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASSite** \[\[-[Name](#name-string)] *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about one or multiple sites.

The cmdlet returns an array of objects of type Site.

To see the complete list of object properties, use the Format-List cmdlet (see examples).

## PARAMETERS

## Name (string)

The name of the site for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the site from which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[Site](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASSite | Format-List

Retrieves the list of all available sites.

The Format-List cmdlet formats the display output to include all available site properties.\
\*\*---------- EXAMPLE 2 ----------

Get-RASSite "My-Site"

Retrieves information about the site specified by name.\
\*\*---------- EXAMPLE 3 ----------

Get-RASSite -Id 1

Retrieves information about the site specified by ID.

## RELATED LINKS

* [New-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rassite.md)
* [Set-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassite.md)
* [Remove-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rassite.md)
* [Invoke-RASSitePromoteToLicensing](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rassitepromotetolicensing.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassite.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
